Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 27 Jan 2020, 10:05
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
MPV (and FFMPEG) in BionicPup32 hasn't support for SSL.
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [7 Posts]  
Author Message
poiu1234

Joined: 07 Nov 2016
Posts: 6

PostPosted: Sun 01 Dec 2019, 06:45    Post subject:  MPV (and FFMPEG) in BionicPup32 hasn't support for SSL.  

MPV in Xenial Yess!!!
Anybody can resolve?
Thanks
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2073
Location: London, England

PostPosted: Sun 01 Dec 2019, 08:02    Post subject:  

Run ffmpeg in terminal and you will see the options with which it was compiled.
From BionicPup32 8.0+15
Code:
# ffmpeg
ffmpeg version 3.4.2 Copyright (c) 2000-2018 the FFmpeg developers
  built with gcc 7 (Ubuntu 7.3.0-5ubuntu1)
  configuration: --prefix=/usr --libdir=/usr/lib --enable-libmp3lame --enable-libx264 --enable-libx265 --enable-pthreads --enable-small --enable-postproc --enable-libvorbis --enable-gpl --enable-shared --enable-nonfree --enable-libopencore-amrnb --enable-libopencore-amrwb --disable-debug --enable-bzlib --enable-zlib --enable-libspeex --enable-version3 --enable-runtime-cpudetect --enable-libxcb --enable-libtheora --enable-libxvid --enable-swscale --enable-libvpx
  libavutil      55. 78.100 / 55. 78.100
  libavcodec     57.107.100 / 57.107.100
  libavformat    57. 83.100 / 57. 83.100
  libavdevice    57. 10.100 / 57. 10.100
  libavfilter     6.107.100 /  6.107.100
  libswscale      4.  8.100 /  4.  8.100
  libswresample   2.  9.100 /  2.  9.100
  libpostproc    54.  7.100 / 54.  7.100
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

Use -h to get full help or, even better, run 'man ffmpeg'
#

What you could try is recompiling ffmpeg with --enable-openssl added to the configure options.
Here is one from my remaster of Wheezy with SSL support enabled.
Code:
# ffmpeg
ffmpeg version 2.8.15-Puppy-Linux Copyright (c) 2000-2018 the FFmpeg developers
  built with gcc 4.7 (Debian 4.7.1-2)
  configuration: --prefix=/usr --disable-logging --enable-gpl --enable-version3 --enable-nonfree --enable-static --enable-shared --enable-runtime-cpudetect --disable-doc --disable-manpages --enable-network --enable-fontconfig --enable-gnutls --enable-libcaca --enable-libcdio --enable-libdc1394 --enable-libfaac --enable-libfreetype --enable-libgsm --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopus --disable-libpulse --enable-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libv4l2 --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libx264 --enable-libxvid --enable-opengl --enable-openssl --enable-x11grab --extra-version=Puppy-Linux
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

Use -h to get full help or, even better, run 'man ffmpeg'
#
It might be worth posting about this in the BionicPup32 thread in case peebee wants to take a look at it (I have done that).
_________________
Oscar in England

Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4158
Location: Worcestershire, UK

PostPosted: Sun 01 Dec 2019, 09:56    Post subject:  

Hi - first time since April 2018 that this has been reported as a problem....

What functionality is enabled by adding openssl to ffmpeg?

I doubt it will get fixed in UPupBB but it might be a candidate for UPupFF.

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
poiu1234

Joined: 07 Nov 2016
Posts: 6

PostPosted: Mon 02 Dec 2019, 16:39    Post subject:  

Thanks for replay...
I compile FFMPEG in last version with correct parametrs ssl, but the problem is that if I digit mpv -version, it show FFMPEG in old version. Ricompiling FFMPEG by source isn't the correct way.... Mpv recall library direct in old version, doesn't the new FFMPEG. I think that pheraps the way is create by source a debian package and then install it, as replace all library ... sorry for my english Smile
Back to top
View user's profile Send private message 
poiu1234

Joined: 07 Nov 2016
Posts: 6

PostPosted: Mon 02 Dec 2019, 16:43    Post subject:  

For functionality...
I can see this only with mpv in xenial, no other player, no other player in bionic...
es: https://tv.si/ts/SportKlub/stream_iptv_2000k.m3u8
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2073
Location: London, England

PostPosted: Mon 02 Dec 2019, 16:57    Post subject:  

The media players depend on the ffmpeg libraries.
Did you install MPV in BionicPup32, from where?

BionicPup32 originally has MPlayer which often has the ffmpeg libraries linked statically, but not always so not sure in this case. It also has Gnome-MPlayer as the front end.

With MPV, if the ffmpeg libraries are linked dynamically to the shared libraries, you will need to use the same ffmpeg version source code (or at least a similar one which produces libraries with the same major number).

If you compile the latest ffmpeg it will produce libraries with different numbers, which is why MPV will still see the old ones, so do not use the latest version.

_________________
Oscar in England

Back to top
View user's profile Send private message 
poiu1234

Joined: 07 Nov 2016
Posts: 6

PostPosted: Tue 03 Dec 2019, 09:05    Post subject:  

Thanks..
MPV was installed by repository PPM.
I think that your answer...is the answer!
Recompiling itself version maybe solution.
Now I try.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [7 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0429s ][ Queries: 12 (0.0099s) ][ GZIP on ]